Subject: [TLS] Some inconsistencies in draft-ietf-tls-rfc2246-bis-09.txt

From: Bodo Moeller <[email-masked]>
Date: Thu, 10 Mar 2005 20:55:24 -0700

The following inconstistencies from RFC 2246 still exist in
draft-ietf-tls-rfc2246-bis-09.txt (I doubt that the list is complete):

Section 7.4.3 defines

       struct {
           opaque rsa_modulus<1..2^16-1>;
           opaque rsa_exponent<1..2^16-1>;
       } ServerRSAParams;

       struct {
           opaque dh_p<1..2^16-1>;
           opaque dh_g<1..2^16-1>;
           opaque dh_Ys<1..2^16-1>;
       } ServerDHParams;     /* Ephemeral DH parameters */

but Appendix A.4.2 has capitalized versions of the names.

    struct {
        opaque RSA_modulus<1..2^16-1>;
        opaque RSA_exponent<1..2^16-1>;
    } ServerRSAParams;

    struct {
        opaque DH_p<1..2^16-1>;
        opaque DH_g<1..2^16-1>;
        opaque DH_Ys<1..2^16-1>;
    } ServerDHParams;

Generally, the principle appears to be that field names should be
[mostly] lower-case, with capital letters reserved for type names,
so it's A.4.2 that should be changed.

And in A.4.3, the type definition for ClientKeyExchange refers to a
"DiffieHellmanClientPublicValue" type.  But this should actually
be "ClientDiffieHellmanPublic".

_______________________________________________
TLS mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tls